SUSE SLED15/ SLES15セキュリティ更新プログラム: python-M2Crypto (SUSE-SU-2022:2691-1)

medium Nessus プラグイン ID 163899

言語:

概要

リモートの SUSE ホストにセキュリティ更新がありません。

説明

リモートの SUSE Linux SLED15/SLES15 ホストには、SUSE-SU-2022:2691-1 のアドバイザリに記載されている脆弱性の影響を受けるパッケージがインストールされています。

- m2crypto のすべてのリリースされたバージョンで欠陥が見つかりました。これらは、有効な PKCS#1 v1.5 暗号化テキストの時限処理による、RSA 復号化 API の Bleichenbacher タイミング攻撃に脆弱です。この脆弱性による主な脅威は、機密性に関するものです。(CVE-2020-25657)

Nessus はこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受ける python3-M2Crypto パッケージを更新してください。

関連情報

https://bugzilla.suse.com/1178829

http://www.nessus.org/u?ff6a8120

https://www.suse.com/security/cve/CVE-2020-25657

プラグインの詳細

深刻度: Medium

ID: 163899

ファイル名: suse_SU-2022-2691-1.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/8/6

更新日: 2022/8/6

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Medium

Base Score: 4.3

Temporal Score: 3.2

ベクトル: AV:N/AC:M/Au:N/C:P/I:N/A:N

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2020-25657

CVSS v3

リスクファクター: Medium

Base Score: 5.9

Temporal Score: 5.2

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:python3-M2Crypto, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/8/5

脆弱性公開日: 2021/1/12

参照情報

CVE: CVE-2020-25657

SuSE: SUSE-SU-2022:2691-1